package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorBill;
import com.fs.his.param.FsDoctorBillListSParam;
import com.fs.his.param.FsDoctorBillParam;
import com.fs.his.vo.FsDoctorBillListSVO;
import com.fs.his.vo.FsDoctorBillVO;

/**
 * 医生账单记录Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsDoctorBillService
{
    /**
     * 查询医生账单记录
     *
     * @param billId 医生账单记录主键
     * @return 医生账单记录
     */
    public FsDoctorBill selectFsDoctorBillByBillId(Long billId);

    /**
     * 查询医生账单记录列表
     *
     * @param fsDoctorBill 医生账单记录
     * @return 医生账单记录集合
     */
    public List<FsDoctorBill> selectFsDoctorBillList(FsDoctorBill fsDoctorBill);

    /**
     * 新增医生账单记录
     *
     * @param fsDoctorBill 医生账单记录
     * @return 结果
     */
    public int insertFsDoctorBill(FsDoctorBill fsDoctorBill);

    /**
     * 修改医生账单记录
     *
     * @param fsDoctorBill 医生账单记录
     * @return 结果
     */
    public int updateFsDoctorBill(FsDoctorBill fsDoctorBill);

    /**
     * 批量删除医生账单记录
     *
     * @param billIds 需要删除的医生账单记录主键集合
     * @return 结果
     */
    public int deleteFsDoctorBillByBillIds(Long[] billIds);

    /**
     * 删除医生账单记录信息
     *
     * @param billId 医生账单记录主键
     * @return 结果
     */
    public int deleteFsDoctorBillByBillId(Long billId);


    List<FsDoctorBillVO> selectFsDoctorBillListVO(FsDoctorBillParam fsDoctorBill);

    List<FsDoctorBillListSVO> selectFsDoctorBillListSVO(FsDoctorBillListSParam param);
}
